package org.dromara.inspection.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.inspection.domain.bo.ArStepRecordBo;
import org.dromara.inspection.domain.vo.ArStepRecordVo;

import java.util.Collection;
import java.util.List;

/**
 * 步骤执行记录Service接口
 *
 * @author Lion Li
 * @date 2025-01-13
 */
public interface IArStepRecordService {

    /**
     * 查询单个
     *
     * @return
     */
    ArStepRecordVo queryById(Long id);

    /**
     * 查询列表
     */
    TableDataInfo<ArStepRecordVo> queryPageList(ArStepRecordBo bo, PageQuery pageQuery);

    /**
     * 查询列表
     */
    List<ArStepRecordVo> queryList(ArStepRecordBo bo);

    /**
     * 根据新增业务对象插入步骤执行记录
     *
     * @param bo 步骤执行记录新增业务对象
     * @return
     */
    Boolean insertByBo(ArStepRecordBo bo);

    /**
     * 根据编辑业务对象修改步骤执行记录
     *
     * @param bo 步骤执行记录编辑业务对象
     * @return
     */
    Boolean updateByBo(ArStepRecordBo bo);

    /**
     * 校验并删除数据
     *
     * @param ids     主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
